%define enable_atlas 0

%define module	numpy
%define name	python-%{module}
%define version 1.9.2
%define release %mkrel 1

%define enable_tests 0
%define enable_doc 0


Summary:	A fast multidimensional array facility for Python
Name:		python-%{module}
Version:	%{version}
Release:	%{release}
License:	BSD
Group:		Development/Python
Url: 		http://numpy.scipy.org
Source0:	http://downloads.sourceforge.net/numpy/%{module}-%{version}.tar.xz
Provides:	f2py
Obsoletes:	f2py
%if %enable_atlas
BuildRequires:	libatlas-devel
%else
BuildRequires:	blas-devel
%endif
BuildRequires:	lapack-devel
BuildRequires:	gcc-gfortran >= 4.0
%if %enable_doc
BuildRequires:	python-sphinx >= 1.0
BuildRequires:	python-matplotlib
%endif
%if %enable_tests
BuildRequires:	python-nose
%endif
BuildRequires:	pkgconfig(python)
BuildRequires:	python-cython
BuildRequires:	python-setuptools
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-setuptools

Obsoletes:	python-numeric < 24.2-8
Provides:	python-numeric

%description
Numpy is a general-purpose array-processing package designed to
efficiently manipulate large multi-dimensional arrays of arbitrary
records without sacrificing too much speed for small multi-dimensional
arrays. Numpy is built on the Numeric code base and adds features
introduced by numarray as well as an extended C-API and the ability to
create arrays of arbitrary type.

Numpy also provides facilities for basic linear algebra routines,
basic Fourier transforms, and random number generation.

%package devel
Summary:	Numpy headers and development tools
Group:		Development/Python
Requires:	%{name} = %{version}-%{release}
Obsoletes:      python-numeric-devel < 2.8
Provides:       python-numeric-devel = %version-%release

%description devel
This package contains tools and header files need to develop modules 
in C and Fortran that can interact with Numpy

%package -n python3-numpy
Summary:        A fast multidimensional array facility for Python3
Group:		Development/Python
License:        BSD

%description -n python3-numpy
Numpy is a general-purpose array-processing package designed to
efficiently manipulate large multi-dimensional arrays of arbitrary
records without sacrificing too much speed for small multi-dimensional
arrays. Numpy is built on the Numeric code base and adds features
introduced by numarray as well as an extended C-API and the ability to
create arrays of arbitrary type.

Numpy also provides facilities for basic linear algebra routines,
basic Fourier transforms, and random number generation.

%package -n python3-numpy-devel
Summary:	Numpy headers and development tools
Group:		Development/Python
Requires:	python3-numpy = %{version}-%{release}
Obsoletes:      python3-numeric-devel < 2.8
Provides:       python3-numeric-devel = %version-%release

%description -n python3-numpy-devel
This package contains tools and header files need to develop modules 
in C and Fortran that can interact with Numpy

%prep
%setup -q -n %{module}-%{version}
# workaround for rhbz#849713
# http://mail.scipy.org/pipermail/numpy-discussion/2012-July/063530.html
rm numpy/distutils/command/__init__.py && touch numpy/distutils/command/__init__.py
cp -a . %{py3dir}

%build
pushd %{py3dir}
env ATLAS=%{_libdir} FFTW=%{_libdir} BLAS=%{_libdir} \
    LAPACK=%{_libdir} CFLAGS="%{optflags} -fPIC -O3" \
    %{__python3} setup.py build
popd

#CFLAGS="%{optflags} -fPIC -O3" PYTHONDONTWRITEBYTECODE= %{__python} setup.py config_fc --fcompiler=gnu95 build
env ATLAS=%{_libdir} FFTW=%{_libdir} BLAS=%{_libdir} \
    LAPACK=%{_libdir} CFLAGS="%{optflags} -fPIC -O3" \
    %{__python} setup.py build

%if %enable_doc
pushd doc
export PYTHONPATH=`dir -d ../build/lib.linux*`
%make html
popd
%endif

%install
# first install python3 so the binaries are overwritten by the python2 ones
pushd %{py3dir}
#%{__python} setup.py install -O1 --skip-build --root %{buildroot}
# skip-build currently broken, this works around it for now
env ATLAS=%{_libdir} FFTW=%{_libdir} BLAS=%{_libdir} \
    LAPACK=%{_libdir} CFLAGS="%{optflags} -fPIC -O3" \
    %{__python3} setup.py install --root %{buildroot}
%__rm -rf docs-f2py
#; mv %{buildroot}%{python3_sitearch}/%{module}/f2py/docs docs-f2py
#%%__mv -f %{buildroot}%{python3_sitearch}/%{module}/f2py/f2py.1 f2py.1
%__rm -rf doc ; mv -f %{buildroot}%{python3_sitearch}/%{module}/doc .
#install -D -p -m 0644 f2py.1 %{buildroot}%{_mandir}/man1/f2py.1
pushd %{buildroot}%{_bindir} &> /dev/null
popd &> /dev/null

# Remove doc files. They should be in %doc
%__rm -f %{buildroot}%{python3_sitearch}/%{module}/COMPATIBILITY
%__rm -f %{buildroot}%{python3_sitearch}/%{module}/DEV_README.txt
%__rm -f %{buildroot}%{python3_sitearch}/%{module}/INSTALL.txt
%__rm -f %{buildroot}%{python3_sitearch}/%{module}/LICENSE.txt
%__rm -f %{buildroot}%{python3_sitearch}/%{module}/README.txt
%__rm -f %{buildroot}%{python3_sitearch}/%{module}/THANKS.txt
%__rm -f %{buildroot}%{python3_sitearch}/%{module}/site.cfg.example

popd
# skip-build currently broken, this works around it for now
env ATLAS=%{_libdir} FFTW=%{_libdir} BLAS=%{_libdir} \
    LAPACK=%{_libdir} CFLAGS="%{optflags} -fPIC -O3" \
    %{__python} setup.py install --root %{buildroot}

%__rm -rf docs-f2py
#; %__mv %{buildroot}%{py_platsitedir}/%{module}/f2py/docs docs-f2py
#%%__mv -f %{buildroot}%{py_platsitedir}/%{module}/f2py/f2py.1 f2py.1
#%%__install -D -p -m 0644 f2py.1 %{buildroot}%{_mandir}/man1/f2py.1

%__rm -rf %{buildroot}%{py_platsitedir}/%{module}/tools/

# Remove doc files that should be in %doc:
%__rm -f %{buildroot}%{py_platsitedir}/%{module}/COMPATIBILITY
%__rm -f %{buildroot}%{py_platsitedir}/%{module}/*.txt
%__rm -f %{buildroot}%{py_platsitedir}/%{module}/site.cfg.example


%files 
%doc LICENSE.txt README.txt THANKS.txt DEV_README.txt COMPATIBILITY site.cfg.example 
%if %enable_doc
%doc doc/build/html
%endif
%dir %{python_sitearch}/%{module}
%{python_sitearch}/%{module}/*.py*
%{python_sitearch}/%{module}/core/ 
%{python_sitearch}/%{module}/compat/
%{python_sitearch}/%{module}/doc/
%exclude %{python_sitearch}/%{module}/core/include/
%{python_sitearch}/%{module}/fft/
%{python_sitearch}/%{module}/lib/
%{python_sitearch}/%{module}/linalg/
%{python_sitearch}/%{module}/ma/
%{python_sitearch}/%{module}/matrixlib/
#%%{python_sitearch}/%{module}/numarray/
#%%exclude %{python_sitearch}/%{module}/numarray/include/
#%%{python_sitearch}/%{module}/oldnumeric/
%{python_sitearch}/%{module}/polynomial/
%{python_sitearch}/%{module}/random/
%exclude %{python_sitearch}/%{module}/random/randomkit.h
%{python_sitearch}/%{module}/testing/
%{python_sitearch}/%{module}/tests/ 
%{python_sitearch}/%{module}-*.egg-info
%{python_sitearch}/%{module}/distutils/
%{python_sitearch}/%{module}/f2py/
%{_bindir}/f2py
#%%{_mandir}/man1/f2py.*

%files devel
%{python_sitearch}/%{module}/core/include/
#%%{python_sitearch}/%{module}/numarray/include/
%{python_sitearch}/%{module}/random/randomkit.h

%files -n python3-numpy
%doc LICENSE.txt README.txt THANKS.txt DEV_README.txt COMPATIBILITY site.cfg.example
#%%{python3_sitearch}/%{module}/__pycache__/*
%dir %{python3_sitearch}/%{module}
%{python3_sitearch}/%{module}/*.py*
%{python3_sitearch}/%{module}/core
%{python3_sitearch}/%{module}/distutils
%{python3_sitearch}/%{module}/fft
%{python3_sitearch}/%{module}/lib
%{python3_sitearch}/%{module}/linalg
%{python3_sitearch}/%{module}/ma
#%%{python3_sitearch}/%{module}/numarray
#%%{python3_sitearch}/%{module}/oldnumeric
%{python3_sitearch}/%{module}/random
%{python3_sitearch}/%{module}/testing
%{python3_sitearch}/%{module}/tests
%{python3_sitearch}/%{module}/compat
%{python3_sitearch}/%{module}/matrixlib
%{python3_sitearch}/%{module}/polynomial
%{python3_sitearch}/%{module}-*.egg-info
%{_bindir}/f2py3
%{python3_sitearch}/%{module}/f2py
%exclude %{python3_sitearch}/%{module}/core/include/
#%%exclude %{python3_sitearch}/%{module}/numarray/include/
%exclude %{python3_sitearch}/%{module}/random/randomkit.h

%files -n python3-numpy-devel
%{python3_sitearch}/%{module}/core/include/
#%%{python3_sitearch}/%{module}/numarray/include/
%{python3_sitearch}/%{module}/random/randomkit.h



%changelog
* Wed Jun 24 2015 gseaman <galen.seaman at comcast.net> 1.9.2-1gseaman2015
- 1.9.2

* Sun Jan 11 2015 pinoc <vogtpet at gmail.com> 1.8.2-1pclos2015
- 1.8.2

* Thu Dec 26 2013 bb <bb> 1.7.1-3pclos2013
- disable atlas from build

* Fri Dec 13 2013 billybot <billybot> 1.7.1-2pclos2013
- really
